# Text Input

## Options

| Option        | Description                                                         | Default      |
| ------------- | ------------------------------------------------------------------- | ------------ |
| `readonly`    | Readonly                                                            | `false`      |
| `placeholder` | Text to show when no input is entered                               | `null`       |
| `masked`      | Mask the value (as in a password field)                             | `false`      |
| `iconLeft`    | Icon to appear on the inside left of the input box                  | `null`       |
| `iconRight`   | Icon to appear on the inside right of the input box                 | `null`       |
| `trim`        | Trim leading and trailing whitespace                                | `true`       |
| `font`        | Font to render the value in (`sans-serif`, `serif`, or `monospace`) | `sans-serif` |
